Subject: bug#27794: efi vs bios grub detection

From: buen ouanq <[email-masked]>
Date: Sat, 22 Jul 2017 16:22:23 -0600

It was recommended in the IRC room that I send this email.
I struggled all yesterday failing to get GRUB (and thus GuixSD) to install
in ways that I was positive had worked before.
Turns out the installation USB had booted UEFI rather than BIOS, so it
refused to install what I understood to be the default (BIOS GRUB), even
though I had done and partitioned everything correctly, and there were no
meaningful hints as to why.
It would be nice if there was a little note about this in the install
guide, something along the lines of, `EFI/BIOS detection for GRUB depends
on how the installation image was booted.' (or whatever it actually does,
I'm not sure really).

Thank you.